Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367338 - gnome-maps: moving and zooming with mouse and keyboard doesn't work
Summary: gnome-maps: moving and zooming with mouse and keyboard doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-08-16 08:53 UTC by Lukas Brabec
Modified: 2016-09-09 21:49 UTC (History)
8 users (show)

Fixed In Version: gnome-maps-3.21.91-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 21:49:34 UTC


Attachments (Terms of Use)

Description Lukas Brabec 2016-08-16 08:53:23 UTC
I'm unable to move maps in gnome-maps on Fedora 25, even the 'grabbing hand' cursor is not shown. Scrolling (zooming the map) doesn't work as well. Using keyboard (arrows and +/-) does nothing too. 

The cursor is not redrawn properly when moved onto map canvas, e.g. when I try to resize window (to get appropriate mouse cursor) and then I move cursor to the map canvas, it doesn't redraw and the cursor is still show as resizing.

Other UI interaction works as expected (satellite view, searching, navigation).

Tested both on bare metal and in virtual machine.

Version-Release number of selected component (if applicable):
gnome-maps-3.21.4-1.fc25.x86_64
Fedora-Workstation-Live-x86_64-25-20160815.n.2.iso

Steps to Reproduce:
1. Run gnome-maps on F25
2. Try to move the map or zoom it

Actual results:
Maps cannot be moved or zoomed with mouse/keyboard

Expected results:
Maps can be moved or zoomed with mouse/keyboard

Comment 1 Kamil Páral 2016-08-16 09:59:55 UTC
Reproduced as well. Proposing as a blocker:
"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Default_application_functionality

Comment 2 Kamil Páral 2016-08-22 17:33:53 UTC
This can be easily tested on the Live image without installation. If I switch to X11, it works.

Comment 3 Chris Murphy 2016-08-22 17:34:46 UTC
Does not work for me on Wayland or X, in a qemu-kvm (qxl driver) virt-manager VM.

Comment 4 Adam Williamson 2016-08-22 17:34:53 UTC
I think this may be down to Wayland; it works for me on my desktop (which is using X) but not in a clean F25 live image (which is using Wayland).

Comment 5 Chris Murphy 2016-08-22 21:23:20 UTC
Baremetal live media (no install): mouse/trackpad does nothing on Wayland, works as expected on Xorg.

Comment 6 Geoffrey Marr 2016-08-22 22:22:14 UTC
Discussed during the 2016-08-22 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it is a clear violation of  the "Basic Functionality" final criteria, "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-08-22/f25-blocker-review.2016-08-22-16.00.txt

Comment 7 Christian Stadelmann 2016-08-31 22:07:25 UTC
Upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=770576 is marked as closed so changes should land soon.

Comment 8 Kalev Lember 2016-09-08 13:00:06 UTC
Should be fixed with latest gnome-shell/mutter 3.21.91

Comment 9 Fedora Update System 2016-09-08 13:01:06 UTC
PackageKit-1.1.4-0.3.20160901.fc25 adwaita-icon-theme-3.21.91-1.fc25 at-spi2-atk-2.21.91-1.fc25 atomix-3.21.91-1.fc25 clutter-gtk-1.8.0-2.fc25 cogl-1.22.2-1.fc25 devhelp-3.21.91-1.fc25 evolution-3.21.91-2.fc25 evolution-data-server-3.21.91-1.fc25 evolution-ews-3.21.91-1.fc25 evolution-mapi-3.21.91-1.fc25 five-or-more-3.21.91-1.fc25 fwupd-0.7.3-2.fc25 gdk-pixbuf2-2.35.4-1.fc25 gdm-3.21.91-2.fc25 geary-0.11.2-1.fc25 gitg-3.21.91-1.fc25 glib2-2.49.6-1.fc25 gnome-2048-3.21.91-1.fc25 gnome-autoar-0.1.1-1.fc25 gnome-backgrounds-3.21.91-1.fc25 gnome-calendar-3.21.91-1.fc25 gnome-clocks-3.21.2-1.fc25 gnome-color-manager-3.21.91-1.fc25 gnome-disk-utility-3.21.91-1.fc25 gnome-documents-3.21.90-2.fc25 gnome-initial-setup-3.21.91-2.fc25 gnome-klotski-3.21.91-1.fc25 gnome-maps-3.21.91-1.fc25 gnome-mines-3.21.91-1.fc25 gnome-multi-writer-3.21.91-1.fc25 gnome-nibbles-3.21.91-1.fc25 gnome-online-accounts-3.21.91-1.fc25 gnome-online-miners-3.21.91-1.fc25 gnome-packagekit-3.21.91-1.fc25 gnome-photos-3.21.91-1.fc25 gnome-power-manager-3.21.91-1.fc25 gnome-robots-3.21.91-1.fc25 gnome-settings-daemon-3.21.90-1.fc25 gnome-shell-3.21.91-1.fc25 gnome-shell-extension-background-logo-3.21.91-1.fc25 gnome-shell-extensions-3.21.91-1.fc25 gnome-software-3.21.91-1.fc25 gnome-system-monitor-3.21.91-1.fc25 gnome-taquin-3.21.91-1.fc25 gnome-tweak-tool-3.21.91-1.fc25 gnome-user-share-3.18.2-1.fc25 gtk3-3.21.5-1.fc25 gvfs-1.29.91-1.fc25 iagno-3.21.91-1.fc25 libappstream-glib-0.6.3-1.fc25 libgepub-0.4-1.fc25 libgnome-games-support-1.1.91-1.fc25 libgweather-3.20.3-1.fc25 lightsoff-3.21.91-1.fc25 mutter-3.21.91-2.fc25 nautilus-3.21.91.1-1.fc25 orca-3.21.91-1.fc25 pango-1.40.2-1.fc25 polari-3.21.91-1.fc25 pygobject3-3.21.91-1.fc25 rygel-0.31.5-1.fc25 simple-scan-3.21.90-1.fc25 sushi-3.21.91-1.fc25 swell-foop-3.21.91-1.fc25 sysprof-3.21.91-1.fc25 totem-3.21.91-1.fc25 webkitgtk4-2.13.90-1.fc25 xdg-desktop-portal-0.3-1.fc25 xdg-desktop-portal-gtk-0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 10 Kamil Páral 2016-09-08 14:11:34 UTC
Seems fixed.

Comment 11 Fedora Update System 2016-09-09 06:30:07 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 12 Fedora Update System 2016-09-09 21:48:57 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.